{ ... }:

{
  networking = {

    dhcpcd.enable = false;

    vlans = {
      vlan3 = {
        id = 3;
        interface = "bond0";
      };
      vlan10 = {
        id = 10;
        interface = "bond0";
      };
    };

    bonds.bond0 = {
      interfaces = [ "enp11s0f0" "enp11s0f1" ];
      mode = "802.3ad";
    };

    interfaces = {
      vlan3 = {
        ipv4 = {
          addresses = [
            {
              address = "172.16.3.3";
              prefixLength = 24;
            }
          ];
        };
      };
      vlan10 = {
        ipv4 = {
          addresses = [
            {
              address = "172.16.10.3";
              prefixLength = 24;
            }
          ];
        };
      };
    };
    defaultGateway = "172.16.3.99";
    nameservers = [ "172.16.10.128" ];
  };
}
